using System.Collections.Generic;
using UTool.CustomizeTimeLogic.FxLogic.TimeLineEventinterface;

namespace UTool.CustomizeTimeLogic.FxLogic.TimeLineEventLogic
{
    public class TimeLineTimeTriggerEventLogicBasic : TimeLineEventLogicBasic
    {
        protected override void ProSetCombatInfo()
        {
           
        }

        protected override void ProEnter()
        {
            TimeLineTriggerSerialization timeLineTriggerSerialization =
                mTimeLineAssetSerialization as TimeLineTriggerSerialization;

            ITimeLineTriggerEvent trigger=   _timeLineTriggerEntity as ITimeLineTriggerEvent;
            if (trigger != null)
            {
                BetterList<ILifetCycleHitPoint> timeLineEntities = GetSkillTarget();
                for (int i = 0; i < timeLineEntities.Count; i++)
                {
                    trigger.TimeLineTrigger(mTimeLineAssetSerialization.groupName,  timeLineEntities[i],null,extraData);
                }
            }
        }

        protected override void ProLeave()
        {
        }

        protected override void ProTimeUpdate()
        {
        }

        protected override void ProBreakTimeLine()
        {
        }

        protected override void ProDispose()
        {
        }
    }
}